Start a charge

Required scope: control-charging:write and/or control-public-charging:write
Organization authorization: supported

Body Params
int64
required

The id of the team that will be paying for the charge.

int64
required

Id of the charge point used for this charge

boolean
        If true, a charge point will be reserved and a charge object with state reserved will be returned. 
       
        Use `restart` endpoint to start the charge.
        
double | null
1 to 500

The charge kWh limit, meaning the charge will stop once the limit kWh is reached.
Note: kwhLimit can be set in parallel with socLimit, in this case the first limit to hit will stop the charge

double | null
1 to 100

The charge SoC limit, meaning the charge will stop once the limit SoC % is reached.
Note: socLimit can be set in parallel with kwhLimit, in this case the first limit to hit will stop the charge

double | null
≥ 1

The charge price limit, meaning the charge will stop once the price limit is reached.
Note: priceLimit will be in the currency of the charge point.

int64 | null
> 0

Allows you to enforce a specific price group for this charge.
Note: The price group must be of type team or charge-point.

genericPaymentSession
object | null

For Partners who want to start charging from payment terminals, kiosks etc. Used to link charge transaction against your billing and to allow users retrieving receipts via receipt.monta.com by using date and genericPaymentSession.externalIdor genericPaymentSession.cardLast4.

string | null

External Id of this entity, managed by you.
Note: How this field is used is up to the partner, but we highly recommend using a unique partnerExternalId for each charge.

partnerCustomPayload
array of objects | null

Custom JSON payload for this entity, managed by you.

partnerCustomPayload
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json